Subject: Re: 1.1.8: bug in \\ handling in absolute fns
From: Mike Stump <[email-masked]>
To: [email-masked]
Date: Tue, 15 May 2001 19:43:21 -0700 (PDT)

> Date: Tue, 15 May 2001 21:37:16 -0400
> From: Christopher Faylor <[email-masked]>
> To: [email-masked]
> Cc: [email-masked]

> On Tue, May 15, 2001 at 05:00:13PM -0700, Mike Stump wrote:
> >I have found that when I do:
> >
> >mkdir /x
> >touch /x/y		# ok
> >touch /x\\z		# fails
> >touch d:/cygwin/x\\z	# ok
> >cd /x
> >touch z			# ok
> >touch ./z		# ok
> >touch .\\z		# ok
> >
> >I get the results as mentioned.  This causes a newer gcc to fail to
> >work, as libiberty uses \ to separate names in my toolchain, and TEMP
> >is set by cygwin to /cygdrive/c/TEMP.  And this combination doesn't
> >work, as mentioned above.  This worked in B19.  While libiberty could
> >be made to not do this, or to canonicalize the pathnames, I feel that
> >this is the wrong approach.

> If libiberty is using backslashed filenames under Cygwin, that's a bug.
> Do you know what particular function is incorrectly using backslashes?

> Our customers requested that backslashes in filenames be treated as
> native MS-DOS paths and so that change was incorporated into cygwin last
> year.  So, I'm not surprised that a hybrid usage like /a\b would fail.
> That would be translated to x:\a\b on the current drive.

Ok, thanks.  I will beat on the libiberty people to fix this problem.
They will resist.

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple